export abstract class AbstractProtocol<ID> {
  protected readonly protocol: string = '1.0';
  protected id: ID;

  public constructor(id?: ID) {
    this.id = id;
  }

  /**
   * getProtocol
   */
  public get Protocol(): string {
    return this.protocol;
  }

  /**
   * getID
   */
  public get ID(): ID {
    return this.id;
  }

  /**
   * setID
   */
  public set ID(id: ID) {
    this.id = id;
  }

}

export default AbstractProtocol;
