import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import Target from '@overflow/target/api/model/Target';

import * as ReadAllByDomainActionTypes from '../action/read_all_by_domain';
import ReadAllByTargetDomain, { defaultState as readAllByDomainDefaultState } from '../state/ReadAllByDomain';

const reducer: ReducersMapObject = {
  [ReadAllByDomainActionTypes.REQUEST_SUCCESS]:
  (state: ReadAllByTargetDomain = readAllByDomainDefaultState, action: Action<Target>):
  ReadAllByTargetDomain => {
    return state;
  },
  [ReadAllByDomainActionTypes.REQUEST_FAILURE]:
  (state: ReadAllByTargetDomain = readAllByDomainDefaultState, action: Action<Error>):
  ReadAllByTargetDomain => {
    return state;
  },
};

export default reducer;
